Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227299 - CVE-2006-5540 New version fixes three different crash vulnerabilities (CVE-2006-5541, CVE-2006-5542)
Summary: CVE-2006-5540 New version fixes three different crash vulnerabilities (CVE-20...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Web Application Stack
Classification: Retired
Component: postgresql
Version: v1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Gurhan Ozen
URL: http://www.postgresql.org/about/news.664
Whiteboard: source=postgresql,reported=20061025,i...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 00:39 UTC by Josh Bressers
Modified: 2013-11-04 01:32 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0067
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-07 18:31:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0067 normal SHIPPED_LIVE Moderate: postgresql security update 2007-02-07 18:31:02 UTC

Description Josh Bressers 2007-02-05 00:39:50 UTC
+++ This bug was initially created as a clone of Bug #212358 +++

Description of problem:

The three crash conditions are not considered critical vulnerabilities, because
all three require authenticated access to the database with the ability to run
ad-hoc queries, and none can be exploited for privilege escalation.

1.) Disallow aggregate functions in UPDATE commands, except within sub-SELECTs (Tom)
(The behavior of such an aggregate was unpredictable, and in 8.1.X could cause a
crash, so it has been disabled. The SQL standard does not allow this either.)

2.) Fix core dump when an untyped literal is taken as ANYARRAY

3.) Fix core dump in duration logging for extended query protocol when a COMMIT
or ROLLBACK is executed

Version-Release number of selected component (if applicable):

1.) >=7.4.1, Affects RHEL 4.1, FC5, FC6
2.) >=8.1, Affects FC5, FC6
3.) >=8.1, Affects FC5, FC6

Additional info:

Here are commit messages with diffs:
1.) http://archives.postgresql.org/pgsql-committers/2006-10/msg00205.php
2.) http://archives.postgresql.org/pgsql-committers/2006-08/msg00277.php
3.) http://archives.postgresql.org/pgsql-committers/2006-06/msg00299.php

Comment 2 Red Hat Bugzilla 2007-02-07 18:31:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0067.html



Note You need to log in before you can comment on or make changes to this bug.